package com.memorynotfound.pdf.itext;

import com.itextpdf.text.*;
import com.itextpdf.text.pdf.*;
import java.io.FileOutputStream;
import java.io.IOException;

public class CreateBarcodePdf {

    public static void main(String... args) throws IOException, DocumentException {
        Document document = new Document();
        PdfWriter writer = PdfWriter.getInstance(document, new FileOutputStream("barcode.pdf"));

        document.open();
        PdfContentByte cb = writer.getDirectContent();

        Barcode39 barcode39 = new Barcode39();
        barcode39.setCode("123456789");
        Image code39Image = barcode39.createImageWithBarcode(cb, null, null);
        document.add(code39Image);
        document.newPage();

        Barcode128 barcode128 = new Barcode128();
        barcode128.setCode("memorynotfound.com");
        barcode128.setCodeType(Barcode.CODE128);
        Image code128Image = barcode128.createImageWithBarcode(cb, null, null);
        document.add(code128Image);
        document.newPage();

        BarcodeEAN barcodeEAN = new BarcodeEAN();
        barcodeEAN.setCode("3210123456789");
        barcodeEAN.setCodeType(Barcode.EAN13);
        Image codeEANImage = barcodeEAN.createImageWithBarcode(cb, null, null);
        document.add(codeEANImage);
        document.newPage();

        BarcodeQRCode barcodeQRCode = new BarcodeQRCode("http://memorynotfound.com", 1000, 1000, null);
        Image codeQrImage = barcodeQRCode.getImage();
        codeQrImage.scaleAbsolute(100, 100);
        document.add(codeQrImage);

        document.close();
    }
}
